/*
 * Custinfo-check script.
 */

installdir = '\ifor\ls\conf'

/* Load System functions */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/* static custinfo file path */
cinfo_path = '\ifor\ls\conf\custinfo'
i4nladm_path = '\ifor\ls\bin\i4nladm.exe' 

arg drive

/*
 * Check for the presence of the custino file on EVERY drive. If one is there
 * and it is not in the same drive as the installation drive, signify an error
 * and exit, else ignor it.
 */

drives = SysDriveMap('C:', 'LOCAL')
numdrives = words(drives)
dno = 1

found = 0
do while dno <= numdrives 
	fname = word(drives, dno)
	info = SysDriveInfo(fname)
	cp = compare(substr(info,1,2), fname) 
	if cp = 0 then
		do
			fname = fname||'\ifor\ls\conf\custinfo'
			rc = SysFileTree(fname, finfo,'B', '**+**')
			if rc = 0 then
				do i=1 to finfo.0 
					sword = subword(finfo.i,5)
					cp = compare(substr(sword,1,2), drive)
					if cp \= 0 then
					do
					   call display_msg1
					   '@pause'
					   return ""
					end
					else
					   found = 1
				end 
		end
	dno = dno + 1
end

if found = 1 then
   return ""

say 'IN ORDER TO USER THE LICENSING SYSTEM, YOU MUST FIRST REGISTER'
say 'YOUR MACHINE.'
say 'DO YOU WISH TO REGISTER IT NOW?'
do while uanswer \= 1
	say 'Please answer y for Yes or n for No.'
	pull answer
	if answer = 'n' | answer = 'N' then 
	do
		call display_msg2
		'@pause'
		return ""
	end
	if answer = 'y' | answer = 'Y' then uanswer = 1
end 

/* 
 * Run i4nladm.exe to register the machine & then return
 */

'@call' drive||i4nladm_path


return ""


display_msg: 
	say the installation has completed successfully
	say please reboot your machine 
	return ''


display_msg1:
	say 'ERROR: YOU CANNOT RE-INSTALL THE ARK ON ANY DRIVE OTHER THAN' 
	say  drive
	say ''
	say 'IF YOU WISH TO INSTALL THE ARK ON ANOTHER DRIVE YOU MUST COPY'
	say 'THE' drive||'\IFOR\LS\CONF' 'DIRECTORY TREE TO THE NEW DRIVE AND'
	say 'RESTART THE WHOLE INSTALLATION AGAIN'
	return ''

display_msg2:
	say 'REMEMBER! YOU MUST RUN I4NLADM.EXE AFTER RE-BOOTING'
	say 'TO REGISTER YOUR MACHINE BEFORE USING THE'
	say 'iFOR/LS LICENSING SYSTEM'
	return ''





